> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellis.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# List Integrations

> Retrieve all database integrations available for your organization

<ParamField header="Authorization" type="string" required>
  Bearer token obtained from the authenticate endpoint.
</ParamField>

## Response

<ResponseField name="integrations" type="array" required>
  List of database integrations available for querying.

  <Expandable title="Integration object">
    <ResponseField name="id" type="string" required>
      Unique identifier for the integration. Use this when sending chat messages.
    </ResponseField>

    <ResponseField name="display_name" type="string" required>
      Human-readable name for the integration.
    </ResponseField>

    <ResponseField name="type" type="string" required>
      Type of integration. Currently always `"database"`.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={"theme":{"light":"github-light","dark":"github-dark"}}
  curl -X GET https://api.trellis.sh/v1/integrations \
    -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```python Python theme={"theme":{"light":"github-light","dark":"github-dark"}}
  import requests

  response = requests.get(
      "https://api.trellis.sh/v1/integrations",
      headers={"Authorization": "Bearer YOUR_TOKEN"}
  )
  integrations = response.json()["integrations"]
  ```

  ```javascript JavaScript theme={"theme":{"light":"github-light","dark":"github-dark"}}
  const response = await fetch("https://api.trellis.sh/v1/integrations", {
    headers: { Authorization: "Bearer YOUR_TOKEN" },
  });
  const { integrations } = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "integrations": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "display_name": "Production Analytics DB",
        "type": "database"
      },
      {
        "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
        "display_name": "Reporting Database",
        "type": "database"
      }
    ]
  }
  ```

  ```json 401 theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "detail": "Invalid or expired token"
  }
  ```
</ResponseExample>
